name:                         Homs Caussa Collection
author:                       Marti Homs Caussa
name_sorting:                 1
sort_priority:                500
latest_engine:                true
level_group:                  true

